<?php
class LoadDefaultPageInformation implements IBusinessLogic
{

	public static function getInstance()
	{
		return new LoadDefaultPageInformation(new Rest());
	}
	private $rest;

	private function __construct(Rest $rest)
	{
		$this->rest = $rest;
	}

	public function process()
	{
		$pageData = array();
		$id = $this->rest->getDefaulted('id', 1);
		$sql = sprintf("SELECT * FROM page_information where page_id = %s", $id);
		$pageData['load_page_sql'] = $sql;
		$pageData['title'] = "default";
		return $pageData;
	}
}